<?php

/*

 * Developer : John D'Alto (jdalto@yahoo.com)

 * Date : 9/1/2012

 * All code (c)2012 JLS Consulting, all rights reserved

 */



namespace Dorcas\TabithaBundle\Entity;



use Doctrine\ORM\Mapping as ORM;







/** 

 * 

 * @ORM\Table(name="check_purpose_type") 

 * @ORM\Entity(repositoryClass="Dorcas\TabithaBundle\Repository\EthnicityRepository")

 */ 

class CheckPurpose 

{ 

    /** 

     * @var integer $id 

     * 

     * @ORM\Column(name="id", type="integer", nullable=false) 

     * @ORM\Id 

     * @ORM\GeneratedValue(strategy="IDENTITY") 

     */ 

    private $id; 

    /** 

     * @var string $name 

     * 

     * @ORM\Column(name="name", type="string", length=50, nullable=false) 

     */ 

    private $name; 



    public function getId() 

    { 

        return $this->id; 

    } 

    public function setName($name) 

    { 

        $this->name = $name; 

    } 

    public function getName() 

    { 

        return $this->name; 

    } 

  

    

    public function __toString()

    {

        return $this->getName();

    }



    

}